Bug 17085 - Specify libmojolicious-perl min version
Summary: Specify libmojolicious-perl min version
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-09 10:58 UTC by Mirko Tietgen
Modified: 2017-01-20 20:48 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17085 - Specify libmojolicious-perl min version (1.58 KB, patch)
2016-08-09 11:13 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17085 - Specify libmojolicious-perl min version (1.64 KB, patch)
2016-09-23 20:24 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 17085 - Specify libmojolicious-perl min version (1.71 KB, patch)
2016-09-25 14:54 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-08-09 10:58:07 UTC
Set min version for libmojolicious-perl to 6.0.
Comment 1 Mirko Tietgen 2016-08-09 11:13:48 UTC
Created attachment 54195 [details] [review]
Bug 17085 - Specify libmojolicious-perl min version

Set min version for libmojolicious-perl to 6.0 and regenerate debian/control
Comment 2 Mirko Tietgen 2016-08-09 11:15:25 UTC
To test, apply patch, build package, install, check that correct version of libmojolicious-perl is installed.
Comment 3 David Cook 2016-09-19 01:46:14 UTC
(In reply to Mirko Tietgen from comment #0)
> Set min version for libmojolicious-perl to 6.0.

Is 6.0 the real minimum version or is it an arbitrary number to use as a starting point?
Comment 4 Mirko Tietgen 2016-09-19 06:51:42 UTC
I think it was related to a Swagger discussion. Bug 15126 has v. 6.15, maybe we should use that.
Comment 5 Chris Cormack 2016-09-23 20:24:10 UTC
Created attachment 55787 [details] [review]
Bug 17085 - Specify libmojolicious-perl min version

Set min version for libmojolicious-perl to 6.0 and regenerate debian/control

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Katrin Fischer 2016-09-25 14:54:18 UTC
Created attachment 55799 [details] [review]
[PASSED QA] Bug 17085 - Specify libmojolicious-perl min version

Set min version for libmojolicious-perl to 6.0 and regenerate debian/control

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 7 Kyle M Hall 2016-09-27 10:40:51 UTC
Pushed to master for 16.11, thanks Mirko! Did you ever confirm 6.0 is an acceptable minimum version? You had mentioned that Galen previously uploaded 6.15.
Comment 8 Frédéric Demians 2016-09-30 08:14:49 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 9 Julian Maurice 2016-10-14 11:51:58 UTC
Pushed to 3.22.x, will be in 3.22.12
Comment 10 Mirko Tietgen 2016-11-17 08:03:22 UTC
(In reply to Julian Maurice from comment #9)
> Pushed to 3.22.x, will be in 3.22.12

I have reverted it from the package for 3.22.12. The oldstable repository does not have the needed versions and package support for 3.22 ends with the release of 16.11 so it does not make sense to add it now.